# Visualization
TKService
Xw

# Xw_HListOfMFTSizes Class Reference

`#include <Xw_HListOfMFTSizes.hxx>`

## Public Member Functions

Standard_EXPORT | Xw_HListOfMFTSizes (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Xw_HListOfMFTSizes (const Standard_Integer Low, const Standard_Integer Up, const Standard_ShortReal &V)
Standard_EXPORT void | Init (const Standard_ShortReal &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Standard_ShortReal &Value)
const Standard_ShortReal & | Value (const Standard_Integer Index) const
Standard_ShortReal & | ChangeValue (const Standard_Integer Index)
const Xw_ListOfMFTSizes & | Array1 () const
Xw_ListOfMFTSizes & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Xw_ListOfMFTSizes | myArray

## Constructor & Destructor Documentation

Standard_EXPORT Xw_HListOfMFTSizes::Xw_HListOfMFTSizes | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Xw_HListOfMFTSizes::Xw_HListOfMFTSizes | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Standard_ShortReal & | V
| ) |

## Member Function Documentation

const Xw_ListOfMFTSizes& Xw_HListOfMFTSizes::Array1 | ( |  | ) | const

Xw_ListOfMFTSizes& Xw_HListOfMFTSizes::ChangeArray1 | ( |  | ) |

Standard_ShortReal& Xw_HListOfMFTSizes::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const Xw_HListOfMFTSizes::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void Xw_HListOfMFTSizes::Init | ( | const Standard_ShortReal & | V | ) |

Standard_Integer Xw_HListOfMFTSizes::Length | ( |  | ) | const

Standard_Integer Xw_HListOfMFTSizes::Lower | ( |  | ) | const

void Xw_HListOfMFTSizes::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_ShortReal & | Value
| ) |

Standard_Integer Xw_HListOfMFTSizes::Upper | ( |  | ) | const

const Standard_ShortReal& Xw_HListOfMFTSizes::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Xw_ListOfMFTSizes Xw_HListOfMFTSizes::myArray `[private]`

The documentation for this class was generated from the following file:

- Xw_HListOfMFTSizes.hxx